import dynamix_sdk.base as _base


class CloudapiVinsDisableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsDisableProtocol(_base.BasePostAPIFunctionProtocol):
    def disable(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsDisableResultBool:
        ...
